#!/bin/sh
#***************************************
#* LCD-Ticker                          *
#* (c)theobald123 and Tischi           *
#* Lizenz: GPL 2                       *
#* Version: 2.1                        *
#* Stand: 24.04.2016                   *
#* Speicherort: /var/plugins           *
#***************************************

if [ -e /tmp/lcdticker/.ticker_running ]; then
	#****************************************************
	#* Ticker beenden und alte Anzeige wiederherstellen *
	#****************************************************
	rm /tmp/lcdticker/.ticker_running
	killall lcdticker.sh
	killall lcd4linux
	rm -rf /tmp/lcdticker
	sleep 3
	service lcd4linux reload
	msgbox size=26 timeout=10 popup="Ticker wurde beendet"
else
	#*******************************************
	#* Liga auswhlen und alte Anzeige sichern *
	#*******************************************
	auswahl=1
	msgbox title="Ligaauswahl" size=28 order=1 msg="~cBitte ausw~ahlen!" select="1. Liga,2. Liga" default=$auswahl
	auswahl=$?
	case $auswahl	in
	1)
		/var/tuxbox/plugins/lcdticker.sh co12 &
		;;
	2)
		/var/tuxbox/plugins/lcdticker.sh co3 &
		;;
	*)
		exit
		;;
	esac
fi
service lcd4linux reload
exit
